aboutsummaryrefslogtreecommitdiffstats
path: root/wpa_supplicant/README
diff options
context:
space:
mode:
authorJouni Malinen <j@w1.fi>2011-01-30 19:29:25 (GMT)
committerJouni Malinen <j@w1.fi>2011-01-30 19:29:25 (GMT)
commitdf077c6262f5a49ee9208041b05d639f20a61a26 (patch)
treeca9d4fe894610adc558a96aedc43912684a198e7 /wpa_supplicant/README
parentf1bed4a70ddb4a9e7e11e3ebac6f9c479c502ceb (diff)
downloadhostap-df077c6262f5a49ee9208041b05d639f20a61a26.zip
hostap-df077c6262f5a49ee9208041b05d639f20a61a26.tar.gz
hostap-df077c6262f5a49ee9208041b05d639f20a61a26.tar.bz2
Remove obsolete drivers wrappers: atmel, ndiswrapper, ipw, hermes
There is no real reason to maintain these in the current development branch anymore. If someone really needs support for the obsolete driver interfaces, these can be found in older wpa_supplicant branches. driver_atmel.c - vendor-specific interface for ATMEL AT76C5XXx cards - for some old out-of-tree driver; not for the upstream atmel* drivers driver_ndiswrapper.c - vendor-specific interface for an out-of-tree driver - ndiswrapper should work with driver_wext.c, too driver_ipw.c - vendor-specific interface for old ipw2100/2200 driver - the upstream driver works with driver_wext.c (and does not work with the old interface) driver_hermes.c - vendor driver that was not even included in the main wpa_supplicant releases
Diffstat (limited to 'wpa_supplicant/README')
-rw-r--r--wpa_supplicant/README31
1 files changed, 1 insertions, 30 deletions
diff --git a/wpa_supplicant/README b/wpa_supplicant/README
index 45c8bae..54766db 100644
--- a/wpa_supplicant/README
+++ b/wpa_supplicant/README
@@ -147,22 +147,12 @@ Current hardware/software requirements:
Linuxant DriverLoader (http://www.linuxant.com/driverloader/)
with Windows NDIS driver for your wlan card supporting WPA.
- Agere Systems Inc. Linux Driver
- (http://www.agere.com/support/drivers/)
- Please note that the driver interface file (driver_hermes.c) and
- hardware specific include files are not included in the
- wpa_supplicant distribution. You will need to copy these from the
- source package of the Agere driver.
-
madwifi driver for cards based on Atheros chip set (ar521x)
(http://sourceforge.net/projects/madwifi/)
Please note that you will need to modify the wpa_supplicant .config
file to use the correct path for the madwifi driver root directory
(CFLAGS += -I../madwifi/wpa line in example defconfig).
- ATMEL AT76C5XXx driver for USB and PCMCIA cards
- (http://atmelwlandriver.sourceforge.net/).
-
Linux ndiswrapper (http://ndiswrapper.sourceforge.net/) with
Windows NDIS driver.
@@ -181,12 +171,6 @@ Current hardware/software requirements:
not need (or even work) with the specific driver wrapper. Use -Dwext
with that driver.
- Intel ipw2100 driver
- (http://sourceforge.net/projects/ipw2100/)
-
- Intel ipw2200 driver
- (http://sourceforge.net/projects/ipw2200/)
-
In theory, any driver that supports Linux wireless extensions can be
used with IEEE 802.1X (i.e., not WPA) when using ap_scan=0 option in
configuration file.
@@ -396,18 +380,13 @@ authentication algorithm (for EAP-SIM/EAP-AKA). This requires pcsc-lite
CONFIG_PCSC=y
Following options can be added to .config to select which driver
-interfaces are included. Hermes driver interface needs to be downloaded
-from Agere (see above).
+interfaces are included.
CONFIG_DRIVER_HOSTAP=y
-CONFIG_DRIVER_HERMES=y
CONFIG_DRIVER_MADWIFI=y
-CONFIG_DRIVER_ATMEL=y
CONFIG_DRIVER_WEXT=y
CONFIG_DRIVER_RALINK=y
-CONFIG_DRIVER_NDISWRAPPER=y
CONFIG_DRIVER_BROADCOM=y
-CONFIG_DRIVER_IPW=y
CONFIG_DRIVER_BSD=y
CONFIG_DRIVER_NDIS=y
@@ -415,13 +394,9 @@ Following example includes all features and driver interfaces that are
included in the wpa_supplicant package:
CONFIG_DRIVER_HOSTAP=y
-CONFIG_DRIVER_HERMES=y
CONFIG_DRIVER_MADWIFI=y
-CONFIG_DRIVER_ATMEL=y
CONFIG_DRIVER_WEXT=y
-CONFIG_DRIVER_NDISWRAPPER=y
CONFIG_DRIVER_BROADCOM=y
-CONFIG_DRIVER_IPW=y
CONFIG_DRIVER_BSD=y
CONFIG_DRIVER_NDIS=y
CONFIG_IEEE8021X_EAPOL=y
@@ -516,14 +491,10 @@ options:
drivers:
hostap = Host AP driver (Intersil Prism2/2.5/3) [default]
(this can also be used with Linuxant DriverLoader)
- hermes = Agere Systems Inc. driver (Hermes-I/Hermes-II)
madwifi = MADWIFI 802.11 support (Atheros, etc.) (deprecated; use wext)
- atmel = ATMEL AT76C5XXx (USB, PCMCIA)
wext = Linux wireless extensions (generic)
ralink = Ralink Client driver
- ndiswrapper = Linux ndiswrapper (deprecated; use wext)
broadcom = Broadcom wl.o driver
- ipw = Intel ipw2100/2200 driver (old; use wext with Linux 2.6.13 or newer)
wired = wpa_supplicant wired Ethernet driver
roboswitch = wpa_supplicant Broadcom switch driver
bsd = BSD 802.11 support (Atheros, etc.)